<?php include_once ("../inc/config.inc.php") ?>
<?php require ("../inc/func.inc.php") ?>
<?php require ("../inc/func_date.inc.php") ?>
<?php require ("../inc/func_log.inc.php") ?>
<?php require ("../inc/fic.inc.php") ?>
<?php require_once ("../classes/xpm/smtp.php"); ?>
<?php require ("../inc/mail.inc.php") ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	 	// Variables Formulaire
		$titre = strip_tags(trim(@$_POST["titre"]));
		$typdde = strip_tags(trim(@$_POST["typdde"]));

		$coderel = str_majuscules(strip_tags(trim(@$_POST["coderel"])));
		$code = str_majuscules(strip_tags(trim(@$_POST["code"])));
		$daterel = datefrang(strip_tags(trim(@$_POST["daterelf"])));
		if (strip_tags(trim(@$_POST["dateoutf"])) <> "")
			$login = datefrang(strip_tags(trim(@$_POST["dateoutf"])));
		else
			$dateout = "";
		$codecli = str_majuscules(strip_tags(trim(@$_POST["codecli"])));
		$codeage = str_majuscules(strip_tags(trim(@$_POST["codeage"])));
		$codetec = str_majuscules(strip_tags(trim(@$_POST["codetec"])));
		$codecat = str_majuscules(strip_tags(trim(@$_POST["codecat"])));
		$codema = str_majuscules(strip_tags(trim(@$_POST["codema"])));
		$modele = str_majuscules(strip_tags(trim(@$_POST["modele"])));
		$ns = str_majuscules(strip_tags(trim(@$_POST["ns"])));
		$codeet = str_majuscules(strip_tags(trim(@$_POST["codeet"])));
		$coderlic="";
		if (count($_POST["rlic_choisi"]) <> 0)
		{
			for ($i = 0; $i < count($_POST["rlic_choisi"]); $i++)
			{
				if ($i<>count($_POST["rlic_choisi"])-1)
					$coderlic .= $_POST["rlic_choisi"][$i]."-";
				else
					$coderlic .= $_POST["rlic_choisi"][$i];
			}
		}
		$empl= strip_tags(trim(@$_POST["empl"]));

		$codep= strip_tags(trim(@$_POST["codep"]));
		// Si le codage produit théorique n'a pas été changé, on incrémente la numérotation dans le dossier principal
		// Sinon, on ne fait rien
		$row = lit_enr_rel($coderel);
		$num = $row["rel_num"]+1;
		$rpdt_codep_calcule = $row["rel_rnum"].sprintf ("%'04s",$num);
		if ($codep == $rpdt_codep_calcule)
		{
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "UPDATE `" .TBREL;
			$rech .= "` SET `rel_num`='".$num."'";
			$rs = mysql_query($rech) or die(mysql_error());
			mysql_close($conn);
		}

		$util= strip_tags(trim(@$_POST["util"]));
		$nomp= strip_tags(trim(@$_POST["nomp"]));
		$gt= strip_tags(trim(@$_POST["gt"]));
		$dom= strip_tags(trim(@$_POST["dom"]));
		$login= strip_tags(trim(@$_POST["login"]));
		$mdp= strip_tags(trim(@$_POST["mdp"]));
		$ip= strip_tags(trim(@$_POST["ip"]));
		$masq= strip_tags(trim(@$_POST["masq"]));
		$pass= strip_tags(trim(@$_POST["pass"]));
		$sid= strip_tags(trim(@$_POST["sid"]));
		$wep= strip_tags(trim(@$_POST["wep"]));
		if (strip_tags(trim(@$_POST["dateachf"])) <> "")
			$dateach = datefrang(strip_tags(trim(@$_POST["dateachf"])));
		else
			$dateach = "";
		if (strip_tags(trim(@$_POST["datefgarf"])) <> "")
			$datefgar = datefrang(strip_tags(trim(@$_POST["datefgarf"])));
		else
			$datefgar = "";
		$garsf= strip_tags(trim(@$_POST["gars"]));
		if ($garsf == "Oui")
			$gars = TRUE;
		else
			$gars = FALSE;
		$propf= strip_tags(trim(@$_POST["prop"]));
		if ($propf == "Oui")
			$prop = TRUE;
		else
			$prop = FALSE;
		if (strip_tags(trim(@$_POST["dateoutf"])) <> "")
			$dateout = datefrang(strip_tags(trim(@$_POST["dateoutf"])));
		else
			$dateout = "";
		
		$nota = strip_tags(trim(@$_POST["nota"]));
		$signataire = strip_tags(trim(@$_POST["signataire"]));

		$codeuser = @$HTTP_SESSION_VARS["code_log"];

		$retourliste = TRUE;

		if (strip_tags(trim(@$_POST["enrimp"])) == "Enregistrer & Imprimer")
		{
			$imprim = TRUE;
			$retourliste = FALSE;
		}

		if ($typdde == "add")
		{
			$coderm = crecode("RM");

			// Ajout de la fiche Relevé Matériel
		
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "INSERT INTO " .TBRPDT;
			$rech.= " (rpdt_datecrea,rpdt_codecrea,rpdt_datemod,rpdt_codemod,rpdt_coderel,rpdt_code,rpdt_daterel,rpdt_codecli,rpdt_codeage,";
			$rech.= "rpdt_codetec,rpdt_codecat,rpdt_codema,rpdt_modele,rpdt_ns,rpdt_codeet,rpdt_coderlic,rpdt_empl,rpdt_codep,rpdt_util,rpdt_nomp,";
			$rech.= "rpdt_gt,rpdt_dom,rpdt_login,rpdt_mdp,rpdt_ip,rpdt_masq,rpdt_pass,rpdt_sid,rpdt_wep,rpdt_dateach,rpdt_fingar,";
			$rech .="rpdt_gars,rpdt_prop,rpdt_dateout,rpdt_nota,rpdt_signataire)";
			$rech.= " VALUES";
			$rech.= " ('$datea','$codeuser','$datea','$codeuser','$coderel','$coderm','$daterel','$codecli','$codeage',";
			$rech.= "'$codetec','$codecat','$codema','$modele','$ns','$codeet','$coderlic','$empl','$codep','$util','$nomp',";
			$rech.= "'$gt','$dom','$login','$mdp','$ip','$masq','$pass','$sid','$wep','$dateach','$datefgar',";
			$rech .="'$gars','$prop','$dateout','$nota','$signataire')";
			$rs = mysql_query($rech) or die(mysql_error());
			mysql_close($conn);

			$msg = "Fiche enregistrée avec succès !";			

			// Envoi d'email vers le client
			envoi_mail("Ajout d'une fiche relevé matériel","rpdt","cre","xxx","cli",$coderm,"","",FALSE);
			// Envoi d'email vers l'agence
			if (@$HTTP_SESSION_VARS["niv_log"] <> 4)
				envoi_mail("Ajout d'une fiche relevé matériel","rpdt","cre","xxx","age",$coderm,"","",FALSE);
			// Envoi d'email vers le centre de gestion
			envoi_mail("Ajout d'une fiche relevé matériel","rpdt","cre","xxx","cdg",$coderm,"","",TRUE);

		}

		if ($typdde == "edit")
		{
			$ok_maj = TRUE;
			
			if ($dateout <> "")
			{
				$exist_rpdt_in_rpbm_actif = exist_rpdt_in_rpbm_actif($code);
				if ($exist_rpdt_in_rpbm_actif == TRUE)
				{
					$ok_maj = FALSE;
					$retourliste = FALSE;
					if ($msg == "")
						$msg = "Cette fiche contient des problèmes déclarés et non solutionnés.<br>Supprimez la (les) déclaration(s) de problème concernée(s).";
					else
						$msg .= "<br><br>Cette fiche contient des problèmes déclarés et non solutionnés.<br>Supprimez la (les) déclaration(s) de problème concernée(s).";
				}
			}
			
			if ($ok_maj == TRUE)
			{
				
				// MAJ de la fiche relevé Matériel
			
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rech = "UPDATE `" .TBRPDT;
				$rech .= "` SET `rpdt_datemod`='".$datea."', `rpdt_codemod`='".$codeuser."', `rpdt_coderel`='".$coderel."', `rpdt_code`='".$code."',";
				$rech .= " `rpdt_daterel`='".$daterel."', `rpdt_codecli`='".$codecli."', `rpdt_codeage`='".$codeage."', `rpdt_codetec`='".$codetec."',";
				$rech .= " `rpdt_codecat`='".$codecat."',`rpdt_codema`='".$codema."', `rpdt_modele`='".$modele."', `rpdt_ns`='".$ns."',";
				$rech .=" `rpdt_codeet`='".$codeet."', `rpdt_coderlic`='".$coderlic."', `rpdt_empl`='".$empl."',`rpdt_codep`='".$codep."',";
				$rech .=" `rpdt_util`='".$util."', `rpdt_nomp`='".$nomp."', `rpdt_gt`='".$gt."', `rpdt_dom`='".$dom."', `rpdt_login`='".$login."',";
				$rech .=" `rpdt_mdp`='".$mdp."', `rpdt_ip`='".$ip."', `rpdt_masq`='".$masq."', `rpdt_pass`='".$pass."', `rpdt_sid`='".$sid."',";
				$rech .=" `rpdt_wep`='".$wep."', `rpdt_dateach`='".$dateach."', `rpdt_fingar`='".$datefgar."', `rpdt_gars`='".$gars."', `rpdt_prop`='".$prop."',";
				$rech .=" `rpdt_dateout`='".$dateout."', `rpdt_nota`='".$nota."', `rpdt_signataire`='".$signataire."'";
				$rech .=" WHERE `rpdt_code` = '".$code."'";
				$rs = mysql_query($rech) or die(mysql_error());
				mysql_close($conn);
	
				$msg = "Fiche modifiée avec succès !";
				// Envoi d'email vers le client
				envoi_mail("Modification d'une fiche relevé matériel","rpdt","mod","xxx","cli",$code,"","",FALSE);
				// Envoi d'email vers l'agence
				if (@$HTTP_SESSION_VARS["niv_log"] <> 4)
					envoi_mail("Modification d'une fiche relevé matériel","rpdt","mod","xxx","age",$code,"","",FALSE);
				// Envoi d'email vers le centre de gestion
				envoi_mail("Modification d'une fiche relevé matériel","rpdt","mod","xxx","cdg",$code,"","",TRUE);
	
			}
		}

		if ($typdde == "del")
		{
			$exist_in_rpbm = exist_rpdt_in_rpbm($code);
			
			if ($exist_in_rpbm == FALSE)
			{
				// SUPPRESSION de la fiche Relevé Matériel
				
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rech = "DELETE FROM `" .TBRPDT. "` WHERE `rpdt_code` = '$code'";
				$rs = mysql_query($rech) or die(mysql_error());
				mysql_close($conn);
				$msg = "Fiche supprimée avec succès !";
			}
			else
			{
				if ($exist_in_rpbm == TRUE) 
				{
					$retourliste = FALSE;
					$msg = "Impossible de supprimer un relevé de matériel utilisé dans une déclaration de problème.<br>Choisissez plutôt de le sortir du parc...ou supprimez la déclaration de problème.";
				}
			}
		}

?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Relev&eacute; Mat&eacute;riel</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../inc/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<!-- Affichage nouvelle fenêtre pour impression -->
<script type="text/javascript">
	function lanceimp(page)
	{
	  window.open(page,'impression','width='+screen.width+' height='+screen.height);
	}
</script>

</head>
</body>

<?php 
	include_once ("entete.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<p align="center">&nbsp;</p>
<p align="center" class="annot_gras_it"><?PHP echo $msg ?></p>
<?PHP if ($retourliste == FALSE) 
{ 
?>
<br>
<br>
	<table width="100%"  border="0">
	  <tr>
		<td width="3%">&nbsp;</td>
		<td width="44%"><div align="right"><a href="rel_maj.php?td=edit&cr=<?PHP echo $coderel; ?>"><img src="../img/liste.gif" width="33" height="34" border="0" align="absmiddle"></a> <a href="rel_maj.php?td=edit&cr=<?PHP echo $rpdt_coderel; ?>" class="annot_gras_it">Retour au dossier de relev&eacute;</a></div></td>
		<td width="7%">&nbsp;</td>
		<td width="43%"><a href="index.php"><em><img src="../img/index.gif" width="48" height="48" border="0" align="absmiddle"> </em><span class="annot_gras_it">Revenir &agrave; l'accueil</span> </a></td>
		<td width="3%">&nbsp;</td>
	  </tr>
	</table>
<?PHP 
} 
else 
{
?>
	<script type="text/javascript">
	window.setTimeout("location=('rel_maj.php?td=edit&cr=<?PHP echo $coderel; ?>');",2000)
	</script>
	<p align="center" class="annot_std_it">Retour au dossier de relev&eacute; dans 2 secondes...</p>
    <?PHP
}
?>
